> For the complete documentation index, see [llms.txt](https://docs.mastersindia.co/masters-india-apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mastersindia.co/masters-india-apis/proof-of-delivery-pod-api/vehicle-detail-api-rc.md).

# Vehicle Detail API (RC)

This API will take vehicle number and connect with govt system to get data.

{% tabs %}
{% tab title="Vahan API" %}

<table><thead><tr><th width="108">Name</th><th>Description</th></tr></thead><tbody><tr><td><strong>URL</strong></td><td><a href="https://api-platform.mastersindia.co/api/v2/sbt/VAHAN/">https://api-platform.mastersindia.co/api/v2/sbt/VAHAN/</a></td></tr><tr><td><strong>Method Type</strong></td><td>POST</td></tr><tr><td><strong>Header</strong></td><td></td></tr><tr><td><strong>Body</strong></td><td><p>raw - JSON</p><pre class="language-postman_json"><code class="lang-postman_json">{
 "vehiclenumber": "AB03Y8611"
}
</code></pre></td></tr><tr><td><strong>Success Response</strong></td><td><p>In case vehicle exist</p><pre class="language-json"><code class="lang-json">{
    "response": [
        {
            "response": "&#x3C;VehicleDetails>\n    
            &#x3C;stautsMessage>OK&#x3C;/stautsMessage>\n    
            &#x3C;rc_regn_no>PB03Y8611&#x3C;/rc_regn_no>\n    
            &#x3C;rc_regn_dt>18-Oct-2011&#x3C;/rc_regn_dt>\n    
            &#x3C;rc_owner_sr>3&#x3C;/rc_owner_sr>\n    
            &#x3C;rc_owner_name>R*T*N K*M*R
            &#x3C;/rc_owner_name>\n    
            &#x3C;rc_f_name>PAPPI RAM&#x3C;/rc_f_name>\n    
            &#x3C;rc_present_address>V*L*A*E B*L*A*, T*H B*A*A*I*A*H* D*S*T* S*n*r*r*1*8*2*
            &#x3C;/rc_present_address>\n    
            &#x3C;rc_permanent_address>V*L*A*E B*L*A*, T*H B*A*A*I*A*H* D*S*T* S*n*r*r*1*8*2*&#x3C;/rc_permanent_address>\n    &#x3C;rc_mobile_no>9*1*4*0*0*&#x3C;/rc_mobile_no>\n    
            &#x3C;rc_vch_catg>HGV&#x3C;/rc_vch_catg>\n    
            &#x3C;rc_owner_cd>1&#x3C;/rc_owner_cd>\n    
            &#x3C;rc_vh_class_desc>Goods Carrier(HGV)
            &#x3C;/rc_vh_class_desc>\n    
            &#x3C;rc_chasi_no>**T448030********&#x3C;/rc_chasi_no>\n    
            &#x3C;rc_eng_no>****4019001&#x3C;/rc_eng_no>\n    
            &#x3C;rc_maker_desc>TATA MOTORS LTD&#x3C;/rc_maker_desc>\n    
            &#x3C;rc_maker_model>LPT 2518
            &#x3C;/rc_maker_model>\n    
            &#x3C;rc_body_type_desc>TRUCK (OPEN BODY)
            &#x3C;/rc_body_type_desc>\n    
            &#x3C;rc_fuel_desc>DIESEL
            &#x3C;/rc_fuel_desc>\n    
            &#x3C;rc_color>NP&#x3C;/rc_color>\n    
            &#x3C;rc_norms_desc>Not Available
            &#x3C;/rc_norms_desc>\n    
            &#x3C;rc_fit_upto>22-Jul-2021
            &#x3C;/rc_fit_upto>\n    
            &#x3C;rc_tax_upto>30-06-2021
            &#x3C;/rc_tax_upto>\n    
            &#x3C;rc_financer>EQUITAS SMALL FINANCE BANK LIMITED
            &#x3C;/rc_financer>\n    
            &#x3C;rc_insurance_comp>Cholamandalam MS General Insurance Co. Ltd.&#x3C;/rc_insurance_comp>\n    &#x3C;rc_insurance_policy_no>3379/02931272/000/00
            &#x3C;/rc_insurance_policy_no>\n    
            &#x3C;rc_insurance_upto>19-Apr-2022
            &#x3C;/rc_insurance_upto>\n    
            &#x3C;rc_manu_month_yr>10/2011
            &#x3C;/rc_manu_month_yr>\n    
            &#x3C;rc_unld_wt>9000
            &#x3C;/rc_unld_wt>\n    
            &#x3C;rc_gvw>25000&#x3C;/rc_gvw>\n    
            &#x3C;rc_no_cyl>6&#x3C;/rc_no_cyl>\n    
            &#x3C;rc_cubic_cap>5883.00
            &#x3C;/rc_cubic_cap>\n    
            &#x3C;rc_seat_cap>2
            &#x3C;/rc_seat_cap>\n    
            &#x3C;rc_sleeper_cap>0&#x3C;/rc_sleeper_cap>\n    
            &#x3C;rc_stand_cap>0
            &#x3C;/rc_stand_cap>\n    
            &#x3C;rc_wheelbase>0
            &#x3C;/rc_wheelbase>\n    
            &#x3C;rc_registered_at>SANGRUR RTA, Punjab
            &#x3C;/rc_registered_at>\n    
            &#x3C;rc_status_as_on>22-May-2023
            &#x3C;/rc_status_as_on>\n    
            &#x3C;rc_pucc_upto />\n    
            &#x3C;rc_pucc_no />\n    
            &#x3C;rc_status>Fitness Expired
            &#x3C;/rc_status>\n    
            &#x3C;rc_blacklist_status />\n    
            &#x3C;rc_noc_details />\n    
            &#x3C;rc_vh_class>0
            &#x3C;/rc_vh_class>\n
            &#x3C;/VehicleDetails>",
            "responseStatus": "SUCCESS"
        }
    ],
    "error": "false",
    "code": "200",
    "message": "Success"
}
</code></pre></td></tr><tr><td></td><td>In case of vehicle number does not exist in system<br>{<br>"response": [<br>{<br>"response": "\n Vehicle Data Not<br>Found",<br>"responseStatus": "SUCCESS"<br>}<br>],<br>"error": "false",<br>"code": "200",<br>"message": "Success"<br>}</td></tr><tr><td></td><td><p>In case of invalid format</p><p>{<br>"response": null,<br>"error": "true",<br>"code": "400",<br>"message": "Data format failed OR wrong value entered at: vehiclenumber.<br>Format should follow ^[A-Z0-9]{5,11}$"<br>}</p></td></tr></tbody></table>

<table><thead><tr><th width="100">Key</th><th>Values</th><th width="100">Mandatory</th></tr></thead><tbody><tr><td>Authorization</td><td>JWT eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxNDgsInVzZXJuYW1lIjoicHJhdGVla3JhaStkZW1vQG1hc3RlcnNpbmRpYS5jbyIsImV4cCI6MTY5NjA0Njc4MCwiZW1haWwiOiJwcmF0ZWVrcmFpK2RlbW9AbWFzdGVyc2luZGlhLmNvIiwib3JpZ19pYXQiOjE2OTU5NjAzODB9.zWJsCcqMd06X1aMjvXPQRqQGQddKjF6vpkOZgKFG_80</td><td>Yes</td></tr><tr><td>Subid</td><td></td><td>Yes- Will be shared during POC.</td></tr><tr><td>Productid</td><td>arap</td><td>Yes</td></tr><tr><td>Mode</td><td>Buyer</td><td>Yes</td></tr></tbody></table>
{% endtab %}
{% endtabs %}

Status Code 200: vehicle data response\
Status Code 400: Bad request (Invalid json syntax, invalid json key)\
Status Code 401 or 403: Unauthenticated or Unauthorized\
Status Code 500: Some internal server error occurred\
Status Code 502: Server is not responding.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mastersindia.co/masters-india-apis/proof-of-delivery-pod-api/vehicle-detail-api-rc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
